Subject: Re: [Fwd: iscsi : task mgmt response codes.]

From: "Julian Satran" <[email-masked]>
Date: Wed, 3 Oct 2001 22:42:48 +0300

I certainly should and I forgot (somebody already mentioned it before). It 
hase response code 5. Julo

Santosh Rao <[email-masked]>
Sent by: [email-masked]
03-10-01 18:49
Please respond to Santosh Rao

        To:     [email-masked]
        cc: 
        Subject:        Re: [Fwd: iscsi : task mgmt response codes.]

Julian,

Thanks for the reply. Also, would you be adding the "Function Not
Supported" response code to the list of task mgmt response codes, to
indicate lack of support for certain task mgmt functions ?

Regards,
Santosh

Julian Satran wrote:
> 
> Santosh,
> 
> Sorry for not answering explicitly - I was overwhelmed. The text in 08
> has an additional statement that might help clarify:
> 
> For additional usage semantics, see section 8.1.
> 
> Regards,
> Julo
> 
>   Santosh Rao
>   <[email-masked]>                 To:        Julian
>   Sent by: [email-masked]  Satran/Haifa/IBM@IBMIL
>                                         cc:
>   01-10-01 21:54                        Subject:        [Fwd: iscsi :
>   Please respond to Santosh Rao task mgmt response codes.]
> 
> 
> 
> Julian,
> 
> I did'nt hear back from you on the below issue. I look forward to your
> comments on the same.
> 
> Thanks,
> Santosh
> 
> Santosh Rao wrote:
> >
> > Hi Julian,
> >
> > A couple of comments on the task management response codes in
> Section
> > 3.6 of Rev 7.97 :
> >
> > 1)I suggest that a 1-sentence description accompany the definition
> of
> > each response code in all locations where response/status codes are
> > defined. This helps clarify their usage, since the intended usage
> may
> > not always be obvious from the response code itself.
> >
> > Ex : the usage of the following is not obvious from a reading of
> section
> > 3.6 :
> > 3 - Task still allegiant
> > 4 - Task failover not supported
> > 5 - Task in progress
> >
> > Where appropriate, a forward reference would also help, in cases
> such as
> > "task still allegiant".
> >
> > 2) I suggest that a task management response code be added to
> indicate
> > "Function Not Supported" to respond to task mgmt requests that the
> > target may not support. (ex : target reset).
> >
> > Thanks,
> > Santosh
> 
> --
> ##################################
> Santosh Rao
> Software Design Engineer,
> HP-UX iSCSI Driver Team,
> Hewlett Packard, Cupertino.
> email : [email-masked]
> Phone : 408-447-3751
> ##################################

-- 
##################################
Santosh Rao
Software Design Engineer,
HP-UX iSCSI Driver Team,
Hewlett Packard, Cupertino.
email : [email-masked]
Phone : 408-447-3751
##################################